#ifndef MPD_MONITOR_H
#define MPD_MONITOR_H

#include <cassert>
#include <csignal>
#include <iostream>
#include <libnotify/notify.h>
#include <mpd/client.h>
#include <mpd/entity.h>
#include <mpd/message.h>
#include <mpd/status.h>
#include <sstream>

int handleError(mpd_connection *c);
void idle(mpd_connection *c);
void notifySong(mpd_song *song);
void printSong(mpd_song *song);
void signalCallbackHandler(int signum);

int main(int argc, char **argv);

#endif
